<template>
  <a-menu
    v-model:openKeys="openKeys"
    v-model:selectedKeys="selectedKeys"
    mode="inline"
  >


    <a-menu-item key="admin-users">
      <router-link :to="{ name: 'admin-users' }">
        <span>
          <ToolOutlined class="me-1" /> Gestion des types d'erreurs
        </span>
      </router-link>
    </a-menu-item>

    <a-menu-item key="admin-roles">
      <router-link :to="{ name: 'admin-roles' }">
        <span>
          <CloudSyncOutlined class="me-2"/>Réception SMTP errors
          <!-- <LoadingOutlined class="me-1"/>Réception SMTP errors -->
        </span>
      </router-link>
    </a-menu-item>

    <a-menu-item key="admin-settings">
      <router-link :to="{ name: 'admin-settings' }">
        <span>
          Historique des erreurs
        </span>
      </router-link>
    </a-menu-item>
  </a-menu>
</template>

<script>
import { UserOutlined, TagOutlined, SettingOutlined,CloudSyncOutlined,ToolOutlined } from "@ant-design/icons-vue";
import { defineComponent } from "vue";
import { storeToRefs } from "pinia";
import { useMenu } from "../stores/use-menu.js";
export default defineComponent({
  components: {
    UserOutlined,
    TagOutlined,
    SettingOutlined,
    CloudSyncOutlined,
    ToolOutlined
  },
  setup() {
    const store = useMenu();

    return {
      ...storeToRefs(store),
    };
  },
});
</script>